Bug 165713 - can't print out PS file from mpage
Summary: can't print out PS file from mpage
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-11 14:39 UTC by Akira TAGOH
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 8.15-0.rc4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 09:21:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error_log (34.04 KB, text/plain)
2005-08-11 14:39 UTC, Akira TAGOH
no flags Details

Description Akira TAGOH 2005-08-11 14:39:10 UTC
Description of problem:
When I tried to print out the plain text file, it failed and it seems that gs8
shows an error when PS file from mpage is given.

Version-Release number of selected component (if applicable):
ghostscript-8.15-0.rc3.7 mpage-2.5.4-5

How reproducible:
always

Steps to Reproduce:
1.LANG=ja_JP.UTF-8 mpage -bA4 -l -o -m18lr36bt -P-
/usr/share/printconf/tests/testpage.euc | gs
2.
3.
  
Actual results:
/invalidrestore error appears

Expected results:
no error should happens.

Additional info:
I noticed this problem when I was testing with s-c-p's test printing, but the
printer didn't output anything at all. then tried with lpr, but the dialog said
an error happened or so.  So I've changed LogLevel to debug and see what
happened. it also shows '*** buffer overflow detected ***' message and Backtrace
stuff. although I didn't see this message with mpage | gs on the terminal, will
attach this error_log as well.
BTW a PS file which was generated by mpage on FC5 can be printable on FC4, gs7.
so this is an regression bug, I think.

P.S. Once I stored the output from mpage to the file, and when I give that file
to gs, no error happened. I mean, I did "mpage .... testpage.euc > mpage.ps" and
gs mpage.ps.  However "cat mpage.ps | gs" still shows the error.

Comment 1 Akira TAGOH 2005-08-11 14:39:11 UTC
Created attachment 117649 [details]
error_log

Comment 3 Tim Waugh 2005-08-12 11:21:58 UTC
Please try 8.15-0.rc4.1.

Comment 4 Tim Waugh 2005-08-12 11:23:27 UTC
Oh, wait -- there are two bugs here.  The overflow one is fixed, but the
/invalidrestore one is not.

Comment 5 Tim Waugh 2005-08-12 12:52:49 UTC
An easy work-around is 'gs /dev/fd/0' though.  So I'd like to know if
8.15-0.rc4.1 allows you to print again after all.

Comment 6 Akira TAGOH 2005-08-15 09:16:18 UTC
Well, yes, lpr testpage.euc works fine. but mpage | gs still doesn't.

Comment 7 Tim Waugh 2005-08-15 09:21:23 UTC
Well, I'm not really inclined to fix this.  There is an easy work-around, which
the printing system uses.


Note You need to log in before you can comment on or make changes to this bug.